ranges::v3::concepts::IndirectlySwappable Struct Reference

## Public Member Functions

template<typename I1 , typename I2 >
auto | requires_ (I1 &&i1, I2 &&i2) -> decltype(concepts::valid_expr(concepts::model_of< Readable, I1 >(), concepts::model_of< Readable, I2 >(),((void) ranges::iter_swap((I1 &&) i1,(I2 &&) i2), 42),((void) ranges::iter_swap((I1 &&) i1,(I1 &&) i1), 42),((void) ranges::iter_swap((I2 &&) i2,(I2 &&) i2), 42),((void) ranges::iter_swap((I2 &&) i2,(I1 &&) i1), 42)))